dcl help

Instead of selecting the option on the command prompt or typing the value, I would like to use a dcl window with buttons to select scale.
I have never attempted dcl before so am not sure where to start?
I would like 7 buttons for the scale options plus a cancel button.

Thanks for reading...

*****
(defun c:BHP_SCALE-TBLK (/ sc)
(defun *error* (x)
(if ce
(setvar 'cmdecho ce))
(if (eq (strcase x) "*CANCEL*")
(princ "\n cancelled ...."))
(princ)
)
(setq ce (getvar 'cmdecho))
(setvar 'cmdecho 0)
(setq ss (ssget "_X" '((0 . "INSERT") (2 . "BIOA1_v*,LNO_BHPB_A1,NW_BHPB_A1"))))
(setq sc (getreal "\nSpecify scale [1/2/5/10/15/20/25]: "))
(if ss
(progn
(setq blk (vlax-ename->vla-object (ssname ss 0)))
(vlax-put-property blk 'XEffectiveScaleFactor sc)
(vlax-put-property blk 'YEffectiveScaleFactor sc)
(vlax-put-property blk 'ZEffectiveScaleFactor sc)
)
)
(command "Z" "E")
(c:BHP_DIMSTYLE)
(setvar 'cmdecho 1)
(setvar 'cmdecho ce)
(princ)
)
*****

Comments